org.jfree.data

## Class ComparableObjectItem

- java.lang.Object
- - org.jfree.data.ComparableObjectItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

Direct Known Subclasses:
  OHLCItem, VectorDataItem, XIntervalDataItem, XYIntervalDataItem, YIntervalDataItem

    public class ComparableObjectItem
    extends java.lang.Object
    implements java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

Represents one (Comparable, Object) data item for use in a `ComparableObjectSeries`.

Since:
  1.0.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComparableObjectItem(java.lang.Comparable x, java.lang.Object y)` Constructs a new data item.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of this object.
`int` `compareTo(java.lang.Object o1)` Returns an integer indicating the order of this object relative to another object.
`boolean` `equals(java.lang.Object obj)` Tests if this object is equal to another.
`protected java.lang.Comparable` `getComparable()` Returns the x-value.
`protected java.lang.Object` `getObject()` Returns the y-value.
`int` `hashCode()` Returns a hash code.
`protected void` `setObject(java.lang.Object y)` Sets the y-value for this data item.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComparableObjectItem

    public ComparableObjectItem(java.lang.Comparable x,
                        java.lang.Object y)

Constructs a new data item.

Parameters:
  `x` - the x-value (`null` NOT permitted).
  `y` - the y-value (`null` permitted).

### Method Detail

#### getComparable

    protected java.lang.Comparable getComparable()

Returns the x-value.

Returns:
  The x-value (never `null`).

#### getObject

    protected java.lang.Object getObject()

Returns the y-value.

Returns:
  The y-value (possibly `null`).

#### setObject

    protected void setObject(java.lang.Object y)

Sets the y-value for this data item. Note that there is no corresponding method to change the x-value.

Parameters:
  `y` - the new y-value (`null` permitted).

#### compareTo

    public int compareTo(java.lang.Object o1)

Returns an integer indicating the order of this object relative to another object.

For the order we consider only the x-value: negative == "less-than", zero == "equal", positive == "greater-than".

Specified by:
  `compareTo` in interface `java.lang.Comparable`
Parameters:
  `o1` - the object being compared to.
Returns:
  An integer indicating the order of this data pair object relative to another object.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of this object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - not thrown by this class, but subclasses may differ.

#### equals

    public boolean equals(java.lang.Object obj)

Tests if this object is equal to another.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to test against for equality (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.